export function $classOf(arg: any): any;
export function $isString(arg: any): arg is string;
export function $isNumber(arg: any): arg is number;
export function $isObject(arg: any): arg is Record<string, any>;
export const $isArray: (arg: any) => arg is any[];
export function $in(key: any, ref: any): boolean;
export function $eq(x: any, y: any): boolean;
export const $html: {
    <T extends keyof HTMLElementTagNameMap>(e: T, keys?: $Keys, ...items: $HTMLItem[]): HTMLElementTagNameMap[T];
    <E extends HTMLElement>(e: E, keys?: $Keys, ...items: $HTMLItem[]): E;
    (e: $HTMLElementOrTag, keys?: $Keys, ...items: $HTMLItem[]): HTMLElement;
};
export const $svg: {
    <T extends keyof SVGElementTagNameMap>(e: T, keys?: $Keys, ...items: $SVGItem[]): SVGElementTagNameMap[T];
    <E extends SVGElement>(e: E, keys?: $Keys, ...items: $SVGItem[]): E;
    (e: $SVGElementOrTag, keys?: $Keys, ...items: $SVGItem[]): SVGElement;
};
export function $svgUse(id: string): SVGSVGElement;
export function $css(style: $CSS, splitter?: string): string;
export function $highlight(pattern: RegExp, highlighters: ((chunk: string, index: number) => $HTMLItem)[], innerText: string): $HTMLItem[];
export function $locale(locales: Record<string, Record<string, string | Record<string, string>>>, defaultLanguage: string, languages?: readonly string[]): (text?: string | undefined, version?: string | undefined) => string;
export type $HTMLElementOrTag = keyof HTMLElementTagNameMap | HTMLElement;
export type $Keys = Record<string, any>;
export type $HTMLItem = HTMLElement | Text | SVGElement | string | number | [$HTMLElementOrTag, $Keys, ...$HTMLItem[]];
export type $HTMLConfig = [$HTMLElementOrTag, $Keys, ...$HTMLItem[]];
export type $SVGElementOrTag = keyof SVGElementTagNameMap | SVGElement;
export type $SVGItem = SVGElement | Text | string | number | [$SVGElementOrTag, $Keys, ...$SVGItem[]];
export type $SVGConfig = [$SVGElementOrTag, $Keys, ...$SVGItem[]];
export type $CSSRules = {
    [attributeOrSelector: string]: string | number | $CSSRules;
};
export type $CSS = {
    [selector: string]: $CSSRules;
};
